/settings/checkout-styles-overlayUpdates the overlay checkout style settings for your account.
Send only the fields that you want to change. Fields that you omit keep their current value. Pass null to clear primary_checkout_color and use the default checkout color.
If successful, your response includes a copy of the updated overlay checkout style settings entity.
checkout_settings.write permission.Request body
Brand color for overlay checkout, as a six-digit hex code including the leading #.
Pass null to clear the brand color and fall back to the default checkout color.
^#[0-9a-fA-F]{6}$Response (200)
Brand color for overlay checkout, as a six-digit hex code including the leading #.
null when no brand color is set, in which case the default checkout color applies.
^#[0-9a-fA-F]{6}$b15ec92e-8688-40d4-a04d-f44cbec93355{ "primary_checkout_color": "#2E1065"}{ "data": { "primary_checkout_color": "#2E1065" }, "meta": { "request_id": "8f6e6c8e-6f2b-4b1c-9b2b-6f5e9e2b5e2b" }}